## Apache Zeta Components Manual :: Docs For Class ezcDocumentDocbookToWikiTableHandler

### Document::ezcDocumentDocbookToWikiTableHandler

### Class ezcDocumentDocbookToWikiTableHandler

Visit tables.

The RST table rendering algorithm tries losely to fit a table in the provided document dimensions. This may not always work for over long words, or if the table cells contain literal blocks which can not be wrapped.

For this the algorithm estiamtes the available width per column, equally distributes this available width over all columns (which might be far from optimal), and extends the total table width if some cell content exceeds the column width.

The initial table cell estiation happens inside the function estimateColumnWidths() which you might want to extend to fit your needs better.

Source for this file: /Document/src/converters/element_visitor/docbook/wiki/table.php

    ezcDocumentElementVisitorHandler
       |
       --ezcDocumentDocbookToWikiBaseHandler
          |
          --ezcDocumentDocbookToWikiTableHandler

Version: | //autogen//

### Method Summary

public mixed | `handle( $converter , $node , $root )` Handle a node

### Inherited Methods

From ezcDocumentDocbookToWikiBaseHandler
protected string | `ezcDocumentDocbookToWikiBaseHandler::renderDirective()` Render a directive
From ezcDocumentElementVisitorHandler
public abstract mixed | `ezcDocumentElementVisitorHandler::handle()` Handle a node.

### Methods

#### handle

mixed handle( ezcDocumentElementVisitorConverter $converter , $node , mixed $root )

Handle a node

Handle / transform a given node, and return the result of the conversion.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$converter` | ezcDocumentElementVisitorConverter |
`$node` | DOMElement |
`$root` | mixed |

##### Redefinition of:

Method | Description
--- | ---
`ezcDocumentElementVisitorHandler::handle()` | Handle a node.

Documentation generated by phpDocumentor 1.4.3